<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/light_black"
    android:orientation="vertical"
    tools:context=".activity.UploadFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="20dp">

            <LinearLayout
                android:id="@+id/llCamera"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/upload_bg"
                android:gravity="center"
                android:paddingVertical="25dp">

                <ImageView
                    android:id="@+id/imgCamera"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@mipmap/camera"
                    app:tint="@color/text" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"

                    android:text="@string/camera"
                    android:textColor="@color/text"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llGallery"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_weight="1"
                android:background="@drawable/upload_bg"
                android:gravity="center"
                android:paddingHorizontal="30dp"
                android:paddingVertical="25dp">

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@mipmap/gallery"
                    app:tint="@color/text" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="@string/gallery"
                    android:textColor="@color/text"
                    android:textSize="18sp" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="20dp">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_gravity="center"
                android:src="@mipmap/time"
                app:tint="@color/dark_text" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:text="@string/history"
                android:textColor="@color/dark_text"
                android:textSize="19sp" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingHorizontal="10dp"
            android:visibility="visible" />

        <LinearLayout
            android:id="@+id/llEmpty"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:layout_marginTop="105dp"
            android:visibility="gone">

            <ImageView
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:src="@mipmap/box_empty" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:lineSpacingExtra="4dp"
                android:text="@string/empty_history"
                android:textColor="#808080"
                android:textSize="16sp" />
        </LinearLayout>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/progress"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:focusable="true"
        android:visibility="gone">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:indeterminateTint="@color/text" />
    </FrameLayout>
</RelativeLayout>